MOPRC(8)

NAME
moprc - MOP Remote console requestor

SYNOPSIS
moprc [options] <nodename>|<MAC Address>

DESCRIPTION

moprc allows a system administrator to connect to MOP console devices (usually terminal servers) and log into them to issue commands remotely. It is the equivalent of "NCP CONNECT NODE" or "SET HOST/MOP" on VMS.
The node maybe specified as a MAC address in Unix format (ie as 6 pairs of hex digits separated by colons) or as a name that appears in /etc/ethers.
You will need to be root or have privileges to use moprc.

  OPTIONS

-i  Selects the ethernet interface to use to connect to the device. By default the value of environment variable MOPRC_INTERFACE or "eth0" is used.

-v  Shows some information about the node that is connected to

-t  Trigger the node. This normally reboots the server so use this with care!

-p <n>
    Changes the poll interval of moprc from 200 ms to <n> ms. Changing this down will increase the risk of timeouts, increasing it will decrease the speed of the link.

-h -?
    Shows the usage message.

-V  Shows the version of moprc.

EXAMPLES
  moprc ds200
  moprc -i eth1 08:00:2B:2B:AD:99

ENVIRONMENT VARIABLES
MOPRC_INTERFACE defines the default interface to use if not specified on the command line. If not present the interface "eth0" will be used.

BUGS
On Darwin you cannot specify an ethernet address on the command-line, the name MUST be in /etc/ethers.
You can script moprc but it sends one character per ethernet packet so is very slow.
There is no locking in moprc so be careful to only run once instance at a time.

  SEE ALSO
latd(8), latd.conf(5), ethers(5), llogin(1)